Mailinglist Archive: opensuse-buildservice (70 mails)

< Previous Next >
[opensuse-buildservice] Re: gcc-5 is broken in OBS while using openSUSE:Leap:42.3:Update
2018.07.15 15:03, opensuse.lietuviu.kalba rašė:
I noticed that gcc-5 became broken just after changing project="openSUSE:Leap:42.3" into project="openSUSE:Leap:42.3:Update" in OBS project Meta configuration.


While using <path project="openSUSE:Leap:42.3" repository="standard"/>:

[   66s] -- The C compiler identification is GNU 5.3.1
[   66s] -- The CXX compiler identification is GNU 5.3.1
[   66s] -- Check for working C compiler: /usr/bin/gcc-5
[   66s] -- Check for working C compiler: /usr/bin/gcc-5 -- works



While using <path project="openSUSE:Leap:42.3:Update" repository="standard"/>:

[   66s] -- The C compiler identification is unknown
[   66s] -- The CXX compiler identification is unknown
[   66s] -- Check for working C compiler: /usr/bin/gcc-5
[   66s] -- Check for working C compiler: /usr/bin/gcc-5 -- broken
...
[   67s]   gcc-5: error: unrecognized command line option '-fstack-clash-protection'


Spec file contains:

BuildRequires:  gcc5-c++
...
%build
export CC=gcc-5
export CXX=g++-5
...


In both builds I see cumulate gcc5-c++-5.3.1+r233831-10.3, thus problem seems not to be in this package itself, but maybe in some comfiguration? How to prevent this issue?


and the same problem while building with gcc6-c++, based on openSUSE:Leap:42.3:Update.

However there is no such problem while building with gcc7-c++, based on openSUSE:Leap:42.3:Update.

--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups